Package org.eclipse.emf.compare

## Enum DifferenceSource

- java.lang.Object
- - java.lang.Enum<DifferenceSource>
  - - org.eclipse.emf.compare.DifferenceSource

All Implemented Interfaces:
  `Serializable`, `Comparable<DifferenceSource>`, `Enumerator`

    public enum DifferenceSource
    extends Enum<DifferenceSource>
    implements Enumerator

A representation of the literals of the enumeration 'Difference Source', and utility methods for working with them. This will be used to represent the source of a detected diff.

- LEFT if the difference has been detected between the left element and its origin,
- RIGHT if the difference has been detected between the right element and its origin.

Note that differences detected during two-way comparisons will only be LEFT.

See Also:
  `ComparePackage.getDifferenceSource()`
Generated:

### Enum Constant Summary

Enum Constants
`LEFT` The 'LEFT' literal object.
`RIGHT` The 'RIGHT' literal object.

### Field Summary

Fields
`static String` `copyright`
`static int` `LEFT_VALUE` The 'LEFT' literal value.
`static int` `RIGHT_VALUE` The 'RIGHT' literal value.
`static List<DifferenceSource>` `VALUES` A public read-only list of all the 'Difference Source' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DifferenceSource` `get​(int value)` Returns the 'Difference Source' literal with the specified integer value.
`static DifferenceSource` `get​(String literal)` Returns the 'Difference Source' literal with the specified literal value.
`static DifferenceSource` `getByName​(String name)` Returns the 'Difference Source' literal with the specified name.
`String` `getLiteral()`
`String` `getName()`
`int` `getValue()`
`String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static DifferenceSource` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DifferenceSource[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEFT

    public static final DifferenceSource LEFT

The 'LEFT' literal object.

See Also:
  `LEFT_VALUE`
Generated:

#### RIGHT

    public static final DifferenceSource RIGHT

The 'RIGHT' literal object.

See Also:
  `RIGHT_VALUE`
Generated:

### Field Detail

#### copyright

    public static final String copyright

See Also:
  Constant Field Values
Generated:

#### LEFT_VALUE

    public static final int LEFT_VALUE

The 'LEFT' literal value. Will be used if the difference has been detected between the left element and its origin. Differences detected during two-way comparisons will always have this has their source.

See Also:
  `LEFT`, Constant Field Values
Generated:

#### RIGHT_VALUE

    public static final int RIGHT_VALUE

The 'RIGHT' literal value. Will be used if the difference has been detected between the right element and its origin.

See Also:
  `RIGHT`, Constant Field Values
Generated:

#### VALUES

    public static final List<DifferenceSource> VALUES

A public read-only list of all the 'Difference Source' enumerators.

Generated:

### Method Detail

#### values

    public static DifferenceSource[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DifferenceSource c : DifferenceSource.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DifferenceSource valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### get

    public static DifferenceSource get​(String literal)

Returns the 'Difference Source' literal with the specified literal value.

Generated:

#### getByName

    public static DifferenceSource getByName​(String name)

Returns the 'Difference Source' literal with the specified name.

Generated:

#### get

    public static DifferenceSource get​(int value)

Returns the 'Difference Source' literal with the specified integer value.

Generated:

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `Enumerator`
Generated:

#### getName

    public String getName()

Specified by:
  `getName` in interface `Enumerator`
Generated:

#### getLiteral

    public String getLiteral()

Specified by:
  `getLiteral` in interface `Enumerator`
Generated:

#### toString

    public String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<DifferenceSource>`
Generated: